<?php

include "settings.php";


$pieces_dir = "./pieces";
$boards_dir = "boards/";

$pieces_list = scandir($pieces_dir);
$boards_list = scandir($boards_dir);

function gen_pieces_list(){
	global $pieces_list, $pieces_file;
	$output .= "<select name='pieces_file'>";
	foreach($pieces_list as $pieces_option){
		if (($pieces_option != ".") && ($pieces_option != "..")){
			$pieces_option = basename($pieces_option, ".css");
			$output .= "<option value='" . $pieces_option;
			if ($pieces_option == $pieces_file)
				$output .= "' selected='selected";
			$output .= "'>" . $pieces_option . "</option>";
		}
		}
	$output .= "</select>";
	echo $output;
	return $output;
	}

function gen_boards_list(){
	global $boards_list, $board_file;
	$output .= "<select name='board_file'>";
	foreach($boards_list as $boards_option){
		if ($boards_option != "." && $boards_option != ".."){
			$boards_option = basename($boards_option, ".css");
			$output .= "<option value='" . $boards_option;
			if ($boards_option == $board_file)
				$output .= "' selected='selected";
			$output .= "'>" . $boards_option . "</option>";
		}
		}
	$output .= "</select>";
	echo $output;
	return $output;
	}

function gen_summary(){
	global $summary;
	$output .= "<input type='hidden' name='summary' value='1' />";
	$output .= "<input name='summary' type='checkbox' ";
	if ($summary == "0")
		$output .= "checked='checked' ";
	$output .= "value='0' />Show summary in header";
	echo $output;
	return $output;
	}

function gen_promotion(){
	global $promote_to;
	$promotable = array("q","r","n","b");
	$output .= "<select name='promote_to'>";
	foreach ($promotable as $choice){
		$output .= "<option value='" . $choice;
		if ($choice == $promote_to)
			$output .= "' selected='selected";
		$output .= "'>" . $choice . "</option>";
		}
	$output .= "</select>";
	echo $output;
	return $output;
	}

function maintain_fen(){
	$output .= "<input type='hidden' name='fen' value='" . $_GET['fen'] ."'></input>";
	echo $output;
	return $output;
	}

if (isset($_POST['summary']))
	setcookie("fenipulator-summ",$_POST['summary'],time()+315360000);
if (isset($_POST['board_file']))
	setcookie("fenipulator-board_file",$_POST['board_file'],time()+31536000);
if (isset($_POST['pieces_file']))
	setcookie("fenipulator-pieces_file",$_POST['pieces_file'],time()+31536000);
if (isset($_POST['promote_to']))
	setcookie("fenipulator-promote",$_POST['promote_to'],time()+31536000);

if (count($_POST) > 1){
	$url = $site . "index.php?fen=" . $_POST['fen'];
	header ("Location: $url");
}

?>

<!DOCTYPE html>

<html>
<head>
<link rel="stylesheet" type="text/css" href="<?php echo $style_file;?>" />
</head>

<body>
<div id="options">
<h2>options</h2>
<ul>
<li><a href="http://fenipulator.brhfl.com/version-history.txt">version history</a></li>
<li><a href="http://fenipulator.brhfl.com/fenipulator-1.5.zip">download latest</a></li>
</ul>
<form method="post" action="options.php">
Pieceset:
<?php gen_pieces_list();?><br />
Board:
<?php gen_boards_list();?><br />
Promote pawns to:
<?php gen_promotion();?><br />
<?php gen_summary();?><br />
<?php maintain_fen();?>
<input type="submit" />
</form>

</div>
</body>

